// 登录校验接口
import httputils from '@/api/httputils'
const baseApi = '/graph/drafts/';

//保存系统图
export function saveGroup(postParams: any): any {
    return httputils.postJson(`/labsl${baseApi}save`, postParams)
}

//读取系统图-草稿箱
export function readGroup(postParams: any): any {
    return httputils.postJson(`/labsl${baseApi}read`, postParams)
}

//读取系统图-已发布
export function readPubGroup(postParams: any): any {
    return httputils.postJson(`/labsl/graph/pub/read`, postParams)
}

//查询楼层
export function buildiFloor(postParams: any): any {
    return httputils.postJson(`/equip-component/labsl/building/floor`, postParams)
}
// 查询设备类型
export function readCategory(postParams: any): any {
    return httputils.postJson(`/equip-component/labsl/category`, postParams)
}

// 查询设备
export function queryEquip(postParams: any): any {
    return httputils.postJson(`/equip-component/labsl/query/equip`, postParams)
}
// 根据设备 id 查询设备对应的专业 /labsl/major/category
export function queryCategory(postParams: any): any {
    return httputils.postJson(`/equip-component/labsl/major/category`, postParams)
}
// 查询设备图例图片
export function queryLegend(postParams: any): any {
    return httputils.postJson(`/meiku/legend/query`, postParams)
}
// 查询设备的所有信息点数组
export function queryDict(postParams: any): any {
    return httputils.postJson(`/datacenter/dict/query`, postParams)
}
// 查询设备某个信息点详情的值 --- （用于点击图中信息点调用）
export function queryEquipMsg(postParams: any): any {
    return httputils.postJson(`/datacenter/object/equip/query`, postParams)
}
//  管道列表的获取
export function queryPipeline(postParams: any): any {
    return httputils.postJson(`/meiku/pipeline/query`, postParams)
}
